From 65ddd8cfe78003ad9f10eeaadadd37b89926c678 Mon Sep 17 00:00:00 2001
From: Endi Sukma Dewata <edewata@redhat.com>
Date: Fri, 2 Nov 2012 12:46:47 -0400
Subject: [PATCH] Updated spacer.gif paths.

---
 dogtag/ca-ui/shared/webapps/ca/admin/ca/adminEnroll.html            | 4 ++--
 dogtag/ca-ui/shared/webapps/ca/agent/header.template                | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/AIMEnroll.html                 | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/CMCEnrollment.html             | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/CMCRevReq.html                 | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/CertBasedDualEnroll.html       | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/CertBasedEncryptionEnroll.html | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/CertBasedSingleEnroll.html     | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/ChallengeRevoke1.html          | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/DirPinUserEnroll.html          | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/DirUserEnroll.html             | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/GetCAChain.html                | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/ManCAEnroll.html               | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/ManObjSignEnroll.html          | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/ManRAEnroll.html               | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/ManServerEnroll.html           | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/ManUserEnroll.html             | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/NISUserEnroll.html             | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/OCSPResponder.html             | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/ObjSignPKCS10Enroll.html       | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/PortalEnrollment.html          | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/UserDnEnroll.html              | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/UserRevocation.html            | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/index.html                     | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/policyEnrollment/index.html    | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/profileEnrollment/index.html   | 2 +-
 dogtag/kra-ui/shared/webapps/kra/agent/header.template              | 2 +-
 dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html                 | 2 +-
 dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template            | 2 +-
 dogtag/tks-ui/shared/webapps/tks/agent/header.template              | 2 +-
 30 files changed, 31 insertions(+), 31 deletions(-)

diff --git a/dogtag/ca-ui/shared/webapps/ca/admin/ca/adminEnroll.html b/dogtag/ca-ui/shared/webapps/ca/admin/ca/adminEnroll.html
index 27434ab4c1bab8b92d3e77bd926881295bed0d0e..2bb5346694a455487e34753501d511e12db0d501 100644
--- a/dogtag/ca-ui/shared/webapps/ca/admin/ca/adminEnroll.html
+++ b/dogtag/ca-ui/shared/webapps/ca/admin/ca/adminEnroll.html
@@ -689,9 +689,9 @@ renderValidityInfo();
 </script>
 
             <input type="hidden" name="subject" value="" >
-			<img src=/ca/admin/graphics/spacer.gif" width="6" height="6"> 
+			<img src="/pki/images/spacer.gif" width="6" height="6">
 			<input type="reset" value="Reset" name="reset" width="72">
-			<img src=/ca/admin/graphics/spacer.gif" width="9" height="6"> 
+			<img src="/pki/images/spacer.gif" width="9" height="6">
 			<!-- <input type="button" value="Help" onclick=
 				 "help('http://www.redhat.com/docs/manuals/cert-system#Administrator/Agent Certificate Enrollment')" 
 				 name="button" width="72"> -->
diff --git a/dogtag/ca-ui/shared/webapps/ca/agent/header.template b/dogtag/ca-ui/shared/webapps/ca/agent/header.template
index d52b4b913f1f0b2836336d51017c28c64f60d89f..049086d69021b6c52e867e6e96322cc24f2cee2f 100644
--- a/dogtag/ca-ui/shared/webapps/ca/agent/header.template
+++ b/dogtag/ca-ui/shared/webapps/ca/agent/header.template
@@ -36,7 +36,7 @@
       </table>
       <table border="0" cellspacing="0" cellpadding="0">
         <tr> 
-          <td><img src="/ca/agent/graphics/spacer.gif" alt="" width="12" height="21"></td>
+          <td><img src="/pki/images/spacer.gif" alt="" width="12" height="21"></td>
 <SCRIPT type="text/javascript">
 	for (var i = 0; i < result.recordSet.length; ++i) {
 		if (result.recordSet[i].id == header.selected) {
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/AIMEnroll.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/AIMEnroll.html
index 60c8fe34c6dbfb6fea51c61a0f3877095d7cec95..79862b37785eaa7dba9eccf20245325fdd8411d6 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/AIMEnroll.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/AIMEnroll.html
@@ -341,7 +341,7 @@ document.writeln('<table border="0" width="100%" cellspacing="0" cellpadding="6"
 					'name="submitbutton" '+
 					'onclick="validate(form)" width="72">');
 			}
-			document.write('<img src="/ca/ee/graphics/spacer.gif" width="6" height="6">' +
+			document.write('<img src="/pki/images/spacer.gif" width="6" height="6">' +
 			'<input type="reset" value="Reset" name="reset" width="72">' +
 			'<input type="hidden" name="certType" value="client">' +
 			'<input type="hidden" name="authenticator" ' +
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/CMCEnrollment.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/CMCEnrollment.html
index 8218e84143c863050cd3fff5f5ab7a7e5766a7ed..1f6f36ded54012367da7df55b6e68de4bb23c3a9 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/CMCEnrollment.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/CMCEnrollment.html
@@ -175,7 +175,7 @@ Paste the CMC full enrollment request into this text area.
                 <input type="submit" value="Submit" name="submit" width="72">
 		<input type="hidden" name="requestFormat" value="cmc">
 		<input type="hidden" name="fullResponse" value="false">
-                <img src="/ca/ee/graphics/spacer.gif" width="6" height="6"> 
+                <img src="/pki/images/spacer.gif" width="6" height="6">
                 <input type="reset" value="Reset" name="reset" width="72">
               </div>
             </td>
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/CMCRevReq.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/CMCRevReq.html
index b54353cf618b4317a131769b6dcf19380ed5c172..bd24a212ca146306e7d6afa332d47f805754f1a6 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/CMCRevReq.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/CMCRevReq.html
@@ -51,7 +51,7 @@ number specified in the CMC Revocation Request will get revoked automatically.</
               <td width="560">
                 <div align="RIGHT">
                   <input type="submit" value="submit" name="submit" width="72"> <input type="hidden" name="templateType" value="RevocationConfirmation">
-                  <img src="/ca/ee/graphics/spacer.gif" width="6" height="6"> <input type="reset" value="Reset" name="reset" width="72">
+                  <img src="/pki/images/spacer.gif" width="6" height="6"> <input type="reset" value="Reset" name="reset" width="72">
                 </div>
               </td>
             </tr>
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/CertBasedDualEnroll.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/CertBasedDualEnroll.html
index 70b039dbf7d5593278db405f3f0ff990768d857f..05d672f37dde34fc44f5168af9f3b7edd1f82e5a 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/CertBasedDualEnroll.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/CertBasedDualEnroll.html
@@ -327,7 +327,7 @@ document.writeln('<table border="0" width="100%" cellspacing="0" cellpadding="6"
 					'name="submitbutton" '+
 					'onclick="validate(form)" width="72">');
 			}
-			document.write('<img src="/ca/ee/graphics/spacer.gif" width="6" height="6">' +
+			document.write('<img src="/pki/images/spacer.gif" width="6" height="6">' +
 			'<input type="reset" value="Reset" name="reset" width="72">' +
 			'<input type="hidden" name="certType" value="client">' +
 			'<input type="hidden" name="authenticator" ' +
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/CertBasedEncryptionEnroll.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/CertBasedEncryptionEnroll.html
index 68b466cb83eda30616528b3c53f5716bced91927..67cb0cbdbe7d90b36fae2a6c55d2dd83ea06f412 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/CertBasedEncryptionEnroll.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/CertBasedEncryptionEnroll.html
@@ -425,7 +425,7 @@ document.writeln('<table border="0" width="100%" cellspacing="0" cellpadding="6"
 					'name="submitbutton" '+
 					'onclick="validate(form)" width="72">');
 			}
-			document.write('<img src="/ca/ee/graphics/spacer.gif" width="6" height="6">' +
+			document.write('<img src="/pki/images/spacer.gif" width="6" height="6">' +
 			'<input type="reset" value="Reset" name="reset" width="72">' +
 			'<input type="hidden" name="certType" value="client">' +
 			'<input type="hidden" name="authenticator" ' +
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/CertBasedSingleEnroll.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/CertBasedSingleEnroll.html
index 5591ac820ac9dfaa0473a79398d44815814382a3..fe6910efea771fccb24304b86580a8689e4ce5bc 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/CertBasedSingleEnroll.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/CertBasedSingleEnroll.html
@@ -427,7 +427,7 @@ document.writeln('<table border="0" width="100%" cellspacing="0" cellpadding="6"
 					'name="submitbutton" '+
 					'onclick="validate(form)" width="72">');
 			}
-			document.write('<img src="/ca/ee/graphics/spacer.gif" width="6" height="6">' +
+			document.write('<img src="/pki/images/spacer.gif" width="6" height="6">' +
 			'<input type="reset" value="Reset" name="reset" width="72">' +
 			'<input type="hidden" name="certType" value="client">' +
 			'<input type="hidden" name="authenticator" ' +
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/ChallengeRevoke1.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/ChallengeRevoke1.html
index f844e1c041e19a82031e0e121e2661cc4091882e..00775b140e536bbc82ec6d6411276ce7d19f12ce 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/ChallengeRevoke1.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/ChallengeRevoke1.html
@@ -161,7 +161,7 @@ Select a revocation reason.</font></td>
               <div align="RIGHT">
                 <input type="submit" value="submit" name="submit" width="72">
                                 <input type="hidden" name="templateType" value="RevocationConfirmation">
-                <img src="/ca/ee/graphics/spacer.gif" width="6" height="6">
+                <img src="/pki/images/spacer.gif" width="6" height="6">
                 <input type="reset" value="Reset" name="reset" width="72">
               </div>
             </td>
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/DirPinUserEnroll.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/DirPinUserEnroll.html
index a75fa76e1ac0de775cbfd5f0e6cc7fbc03b9eaad..1c4ca22c2d59be6952f757baa2116cf537782f7e 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/DirPinUserEnroll.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/DirPinUserEnroll.html
@@ -450,7 +450,7 @@ document.writeln('<table border="0" width="100%" cellspacing="0" cellpadding="6"
 					'name="submitbutton" '+
 					'onclick="validate(form)" width="72">');
 			}
-			document.write('<img src="/ca/ee/graphics/spacer.gif" width="6" height="6">' +
+			document.write('<img src="/pki/images/spacer.gif" width="6" height="6">' +
 			'<input type="reset" value="Reset" name="reset" width="72">' +
 			'<input type="hidden" name="certType" value="client">' +
 			'<input type="hidden" name="authenticator" ' +
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/DirUserEnroll.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/DirUserEnroll.html
index e96f6bbf968831e6b487235c6ace78a91534a355..703225a8223c0134d28773a9b26d35d6c40bce25 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/DirUserEnroll.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/DirUserEnroll.html
@@ -429,7 +429,7 @@ document.writeln('<table border="0" width="100%" cellspacing="0" cellpadding="6"
 					'name="submitbutton" '+
 					'onclick="validate(form)" width="72">');
 			}
-			document.write('<img src="/ca/ee/graphics/spacer.gif" width="6" height="6">' +
+			document.write('<img src="/pki/images/spacer.gif" width="6" height="6">' +
 			'<input type="reset" value="Reset" name="reset" width="72">' +
 			'<input type="hidden" name="certType" value="client">' +
 			'<input type="hidden" name="authenticator" ' +
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/GetCAChain.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/GetCAChain.html
index d34610d5ede6abd4393d14333215de55cf06ff73..85e5adf7c0b9129f047466e931f51bd2753b4079 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/GetCAChain.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/GetCAChain.html
@@ -93,7 +93,7 @@ or your server (administrators). This is a one-time operation.
               <div align="RIGHT">
                 <input type="submit" value="Submit" name="submit" width="72">
 
-                <img src="/ca/ee/graphics/spacer.gif" width="6" height="6"> 
+                <img src="/pki/images/spacer.gif" width="6" height="6">
                 <input type="reset" value="Reset" name="reset" width="72">
               </div>
             </td>
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/ManCAEnroll.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/ManCAEnroll.html
index c44d908383a4c8adefb34471e6eb887bfe13d301..2c78265ee686269186e7511ea5606c20af9ddef4 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/ManCAEnroll.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/ManCAEnroll.html
@@ -148,7 +148,7 @@ Paste the certificate authority's PKCS #10 request into this text area.
 				<input type="HIDDEN" name="non_repudiation" value=true>
 				<input type="HIDDEN" name="key_certsign" value=true>
 				<input type="HIDDEN" name="crl_sign" value=true>
-                <img src="/ca/ee/graphics/spacer.gif" width="6" height="6"> 
+                <img src="/pki/images/spacer.gif" width="6" height="6">
                 <input type="reset" value="Reset" name="reset" width="72">
               </div>
             </td>
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/ManObjSignEnroll.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/ManObjSignEnroll.html
index cf08033f3f6b6ddebbd3f09a5b3b835c81f1a76f..9c2c86a039ec2acc4a18a1f37ecb0a91fc30f4a0 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/ManObjSignEnroll.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/ManObjSignEnroll.html
@@ -638,7 +638,7 @@ document.write(
    '<input type="hidden" name="subject" value="">' +
    '<input type="hidden" name="requestFormat" value="keygen">' +
    '<input type="hidden" name="object_signing" value="true">' +
-   '<img src="/ca/ee/graphics/spacer.gif" width="6" height="6">' +
+   '<img src="/pki/images/spacer.gif" width="6" height="6">' +
    '<input type="reset" value="Reset" name="reset" width="72">' +
    '</div> </td> </tr> </table>');
 </script>
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/ManRAEnroll.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/ManRAEnroll.html
index 9aa193ccf18c43d0684ac68e475424b8336be914..e252987b712f2bc51fb304fb7abd5418e03c977f 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/ManRAEnroll.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/ManRAEnroll.html
@@ -142,7 +142,7 @@ onSubmit="return validate(document.forms[0])">
 				<!-- for Key Usage Extension -->
 				<input type="HIDDEN" name="digital_signature" value=true>
 				<input type="HIDDEN" name="non_repudiation" value=true>
-                <img src="/ca/ee/graphics/spacer.gif" width="6" height="6"> 
+                <img src="/pki/images/spacer.gif" width="6" height="6">
                 <input type="reset" value="Reset" name="reset" width="72">
               </div>
             </td>
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/ManServerEnroll.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/ManServerEnroll.html
index de3d254f920646137cf6c6dfb0186683dbaec5a4..8366dcd9954b74337d59b324e96021c5b3d575e8 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/ManServerEnroll.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/ManServerEnroll.html
@@ -152,7 +152,7 @@ onSubmit="return validate(document.forms[0])">
 				<input type="HIDDEN" name="non_repudiation" value=true>
 				<input type="HIDDEN" name="key_encipherment" value=true>
 				<input type="HIDDEN" name="data_encipherment" value=true>
-                <img src="/ca/ee/graphics/spacer.gif" width="6" height="6"> 
+                <img src="/pki/images/spacer.gif" width="6" height="6">
                 <input type="reset" value="Reset" name="reset" width="72">
               </div>
             </td>
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/ManUserEnroll.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/ManUserEnroll.html
index 4f3ecc10fd40bda69f4a1d8703023d3a5662f816..e552f8e4a6d24bf7a90f86fb98da27e395233b68 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/ManUserEnroll.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/ManUserEnroll.html
@@ -645,7 +645,7 @@ document.write(
    '<input type="hidden" name="subject" value="">' +
    '<input type="hidden" name="requestFormat" value="keygen">' +
    '<input type="hidden" name="certType" value="client">' +
-   '<img src="/ca/ee/graphics/spacer.gif" width="6" height="6">' +
+   '<img src="/pki/images/spacer.gif" width="6" height="6">' +
    '<input type="reset" value="Reset" name="reset" width="72">' +
    '</div> </td> </tr> </table>');
 </script>
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/NISUserEnroll.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/NISUserEnroll.html
index 77cde040354adbb62f79206daf03f6b29725b661..d671b4b22ab33d6333742448d20399d8cacbcd79 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/NISUserEnroll.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/NISUserEnroll.html
@@ -425,7 +425,7 @@ document.writeln('<table border="0" width="100%" cellspacing="0" cellpadding="6"
 					'name="submitbutton" '+
 					'onclick="validate(form)" width="72">');
 			}
-			document.write('<img src="/graphics/spacer.gif" width="6" height="6">' +
+			document.write('<img src="/pki/images/spacer.gif" width="6" height="6">' +
 			'<input type="reset" value="Reset" name="reset" width="72">' +
 			'<input type="hidden" name="certType" value="client">' +
 			'<input type="hidden" name="authenticator" ' +
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/OCSPResponder.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/OCSPResponder.html
index 3e0d82f0c80db4df896e3950d33663f59d67c80b..0ccd79725e5677c9de3eba08bdf5943811a5e0ca 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/OCSPResponder.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/OCSPResponder.html
@@ -142,7 +142,7 @@ Paste the OCSP responder's PKCS #10 request into this text area.
 				<input type="HIDDEN" value="false" name="ssl_client">
 				<!-- for Key Usage Extension -->
 				<input type="HIDDEN" name="digital_signature" value=true>
-                <img src="/ca/ee/graphics/spacer.gif" width="6" height="6"> 
+                <img src="/pki/images/spacer.gif" width="6" height="6">
                 <input type="reset" value="Reset" name="reset" width="72">
               </div>
             </td>
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/ObjSignPKCS10Enroll.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/ObjSignPKCS10Enroll.html
index 7e506fca126d468646824601d41a3b24d833c94d..8dc387f7664a36b66494797f205113ad8879581a 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/ObjSignPKCS10Enroll.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/ObjSignPKCS10Enroll.html
@@ -198,7 +198,7 @@ onSubmit="return validate(document.forms[0])">
 				<!-- for Key Usage Extension -->
 				<input type="HIDDEN" name="digital_signature" value=true>
 				<input type="HIDDEN" name="key_certsign" value=true>
-                <img src="/ca/ee/graphics/spacer.gif" width="6" height="6"> 
+                <img src="/pki/images/spacer.gif" width="6" height="6">
                 <input type="reset" value="Reset" name="reset" width="72">
               </div>
             </td>
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/PortalEnrollment.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/PortalEnrollment.html
index 7df6433aec8449f18533f9ba1eb72f289ec4ce0c..72db93071ebfbbd343db8874d02b58d024c51acd 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/PortalEnrollment.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/PortalEnrollment.html
@@ -662,7 +662,7 @@ information will be used for user registration.<br>(* = required field)<br>
 			}
 //-->
 </script>
-				<img src="/ca/ee/graphics/spacer.gif" width="6" height="6"> 
+				<img src="/pki/images/spacer.gif" width="6" height="6">
 				<input type="reset" value="Reset" name="reset" width="72">
 				<input type="hidden" name="certType" value="client">
 				<input type="hidden" name="authenticator" value="PortalEnrollment">
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/UserDnEnroll.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/UserDnEnroll.html
index 833a9a51ee3dd87d358addb7d6b8d1045342a143..f4798d473c3bfd09216484afa81c3d4247b6dee6 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/UserDnEnroll.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/UserDnEnroll.html
@@ -396,7 +396,7 @@ if (navigator.appName == "Netscape" && (navMajorVersion() <= 3 ||
                      'onclick="validate(form)" width="72">');
 }
 
-document.write('<img src="/ca/ee/graphics/spacer.gif" width="6" height="6">' +
+document.write('<img src="/pki/images/spacer.gif" width="6" height="6">' +
                '<input type="reset" value="Reset" name="reset" width="72">' +
                '<input type="hidden" name="certType" value="client">' +
                '<input type="hidden" name="authenticator" ' +
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/UserRevocation.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/UserRevocation.html
index f8d653e054bee190aceb508bf7afa4e84f8c08f0..122c467df432ac153f61fb0a241009d9f450111e 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/UserRevocation.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/UserRevocation.html
@@ -104,7 +104,7 @@ Select a revocation reason</font></td>
 				<input type="hidden" name="certType" value="client">
 				<input type="hidden" name="templateType" value="RevocationConfirmation">
 				<input type="hidden" name="doSslAuth" value="on">
-                <img src="/ca/ee/graphics/spacer.gif" width="6" height="6"> 
+                <img src="/pki/images/spacer.gif" width="6" height="6">
                 <input type="reset" value="Reset" name="reset" width="72">
               </div>
             </td>
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/index.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/index.html
index d1158d2701fee2c22c71bfe0b8ff2f1e81807620..2609f22f58c783be67e2ffee76d61371b82726b1 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/index.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/index.html
@@ -325,7 +325,7 @@ function loadTabs()
 
 		writeln('<table border=0 cellspacing="0" cellpadding="0">');
 		writeln('<tr>');
-		writeln('<td><img src="/ca/ee/graphics/spacer.gif" width="12" height="12"></td>');
+		writeln('<td><img src="/pki/images/spacer.gif" width="12" height="12"></td>');
 
 		var index = top.tabsSelectedIndex;
 		for (var j=0; j < top.tabsCount; j++) {
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/policyEnrollment/index.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/policyEnrollment/index.html
index ce89cf37b8c64abf5e5c1979007e82e7bcf36c7f..d770675579843b2e1099fee2eee4c3e392bc375a 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/policyEnrollment/index.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/policyEnrollment/index.html
@@ -493,7 +493,7 @@ function loadTabs()
 
 		writeln('<table border=0 cellspacing="0" cellpadding="0">');
 		writeln('<tr>');
-		writeln('<td><img src="/graphics/spacer.gif" width="12" height="12"></td>');
+		writeln('<td><img src="/pki/images/spacer.gif" width="12" height="12"></td>');
 
 		var index = top.tabsSelectedIndex;
 		for (var j=0; j < top.tabsCount; j++) {
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/profileEnrollment/index.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/profileEnrollment/index.html
index 6090457db8e4a34a7829f9fc2f4c90435622d28a..f2cbb75fb51e71e535f381f9edd80e2646b04b1a 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/profileEnrollment/index.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/profileEnrollment/index.html
@@ -330,7 +330,7 @@ function loadTabs()
 
 		writeln('<table border=0 cellspacing="0" cellpadding="0">');
 		writeln('<tr>');
-		writeln('<td><img src="/graphics/spacer.gif" width="12" height="12"></td>');
+		writeln('<td><img src="/pki/images/spacer.gif" width="12" height="12"></td>');
 
 		var index = top.tabsSelectedIndex;
 		for (var j=0; j < top.tabsCount; j++) {
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/header.template b/dogtag/kra-ui/shared/webapps/kra/agent/header.template
index 3f2865393b5962d4aa3a889798512adcd38468e3..04a5e2c27fd4405c6eaa703c10d87e42a43e51f6 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/header.template
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/header.template
@@ -36,7 +36,7 @@
       </table>
       <table border="0" cellspacing="0" cellpadding="0">
         <tr> 
-          <td><img src="/kra/agent/graphics/spacer.gif" alt="" width="12" height="21"></td>
+          <td><img src="/pki/images/spacer.gif" alt="" width="12" height="21"></td>
 <SCRIPT type="text/javascript">
 	for (var i = 0; i < result.recordSet.length; ++i) {
 		if (result.recordSet[i].id == header.selected) {
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html b/dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html
index 5e7a2a40e54af443e7a31707bb5680230f5449f5..f120c7c38cdf5eae7ab02e7a8e4932ee3a3d8524 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html
@@ -25,7 +25,7 @@
       </table>
       <table border="0" cellspacing="0" cellpadding="0">
         <tr> 
-          <td><img src="/graphics/spacer.gif" width="12" height="21"></td>
+          <td><img src="/pki/images/spacer.gif" width="12" height="21"></td>
           <td><img src="/graphics/dgLeftTab.gif" width="13" height="21"></td>
           <td bgcolor="#999999" nowrap><font size="-1" face="PrimaSans BT, Verdana, sans-serif"><a href="../kra/index.html" target="_top">Certificate 
             Service</a><b></b></font></td>
diff --git a/dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template b/dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template
index afba60008085c2eccf468dec07e2069a74e69d20..e3ac04450fcb706c6a14eac71978dd043d4693f1 100644
--- a/dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template
+++ b/dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template
@@ -36,7 +36,7 @@
       </table>
       <table border="0" cellspacing="0" cellpadding="0">
         <tr> 
-          <td><img src="/ocsp/agent/graphics/spacer.gif" alt="" width="12" height="21"></td>
+          <td><img src="/pki/images/spacer.gif" alt="" width="12" height="21"></td>
 <SCRIPT type="text/javascript">
 	for (var i = 0; i < result.recordSet.length; ++i) {
 		if (result.recordSet[i].id == header.selected) {
diff --git a/dogtag/tks-ui/shared/webapps/tks/agent/header.template b/dogtag/tks-ui/shared/webapps/tks/agent/header.template
index bc459fbc14c06a8ea4f2d5ec745044c12f0d9c4d..ea7526f566b95d54e4645f61992c3a68a43452a8 100644
--- a/dogtag/tks-ui/shared/webapps/tks/agent/header.template
+++ b/dogtag/tks-ui/shared/webapps/tks/agent/header.template
@@ -36,7 +36,7 @@
       </table>
       <table border="0" cellspacing="0" cellpadding="0">
         <tr> 
-          <td><img src="/tks/agent/graphics/spacer.gif" alt="" width="12" height="21"></td>
+          <td><img src="/pki/images/spacer.gif" alt="" width="12" height="21"></td>
 <SCRIPT type="text/javascript">
 	for (var i = 0; i < result.recordSet.length; ++i) {
 		if (result.recordSet[i].id == header.selected) {
-- 
1.7.12.1