From 7cb19d06b94621864295bbfec68cc90c7f2c382f Mon Sep 17 00:00:00 2001
From: Endi Sukma Dewata <edewata@redhat.com>
Date: Fri, 2 Nov 2012 13:02:43 -0400
Subject: [PATCH] Updated dgLeftTab.gif paths.

---
 dogtag/ca-ui/shared/webapps/ca/agent/header.template              | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/index.html                   | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/policyEnrollment/index.html  | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/profileEnrollment/index.html | 2 +-
 dogtag/kra-ui/shared/webapps/kra/agent/header.template            | 2 +-
 dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html               | 4 ++--
 dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template          | 2 +-
 dogtag/tks-ui/shared/webapps/tks/agent/header.template            | 2 +-
 8 files changed, 9 insertions(+), 9 deletions(-)

diff --git a/dogtag/ca-ui/shared/webapps/ca/agent/header.template b/dogtag/ca-ui/shared/webapps/ca/agent/header.template
index 049086d69021b6c52e867e6e96322cc24f2cee2f..a9a844821f0c0dd54636571c882fb962c085c648 100644
--- a/dogtag/ca-ui/shared/webapps/ca/agent/header.template
+++ b/dogtag/ca-ui/shared/webapps/ca/agent/header.template
@@ -43,7 +43,7 @@
           		document.write('<td><img src="/ca/agent/graphics/lgLeftTab.gif" width="13" height="21"><\/td>');
           		document.write('<td bgcolor="#cccccc" nowrap>');
 		} else {
-          		document.write('<td><img src="/ca/agent/graphics/dgLeftTab.gif" width="13" height="21"><\/td>');
+          		document.write('<td><img src="/pki/images/dgLeftTab.gif" width="13" height="21"><\/td>');
           		document.write('<td bgcolor="#999999" nowrap>');
 		}
 		document.write('<font size="-1" face="PrimaSans BT, Verdana, sans-serif">');
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/index.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/index.html
index 2609f22f58c783be67e2ffee76d61371b82726b1..294e5380a17c5a0f38c708a1d59c4f2c762ff93f 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/index.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/index.html
@@ -339,7 +339,7 @@ function loadTabs()
                 '</td>');
 			}
 			else {
-				writeln('<td><img src="/ca/ee/graphics/dgLeftTab.gif" width="13" height="21"></td>');
+				writeln('<td><img src="/pki/images/dgLeftTab.gif" width="13" height="21"></td>');
 				writeln('<td bgcolor="#999999" nowrap>'+
                     '<font size="-1" face="PrimaSans BT, Verdana, sans-serif">'+
 				    '<a onclick=javascript:top.reloadTabs("'+
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/policyEnrollment/index.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/policyEnrollment/index.html
index d770675579843b2e1099fee2eee4c3e392bc375a..b419151fb8046cb95a9fc856e9186560bd8f0f76 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/policyEnrollment/index.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/policyEnrollment/index.html
@@ -507,7 +507,7 @@ function loadTabs()
                 '</td>');
 			}
 			else {
-				writeln('<td><img src="/graphics/dgLeftTab.gif" width="13" height="21"></td>');
+				writeln('<td><img src="/pki/images/dgLeftTab.gif" width="13" height="21"></td>');
 				writeln('<td bgcolor="#999999" nowrap>'+
                     '<font size="-1" face="PrimaSans BT, Verdana, sans-serif">'+
 				    '<a onclick=javascript:top.reloadTabs("'+
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/profileEnrollment/index.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/profileEnrollment/index.html
index f2cbb75fb51e71e535f381f9edd80e2646b04b1a..9f83ed729186750dd94aa2ff5322ddaba95e9548 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/profileEnrollment/index.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/profileEnrollment/index.html
@@ -344,7 +344,7 @@ function loadTabs()
                 '</td>');
 			}
 			else {
-				writeln('<td><img src="/graphics/dgLeftTab.gif" width="13" height="21"></td>');
+				writeln('<td><img src="/pki/images/dgLeftTab.gif" width="13" height="21"></td>');
 				writeln('<td bgcolor="#999999" nowrap>'+
                     '<font size="-1" face="PrimaSans BT, Verdana, sans-serif">'+
 				    '<a onclick=javascript:top.reloadTabs("'+
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/header.template b/dogtag/kra-ui/shared/webapps/kra/agent/header.template
index 04a5e2c27fd4405c6eaa703c10d87e42a43e51f6..4c71d8d4ebaf5e3979214f892c946f74ea1cf05b 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/header.template
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/header.template
@@ -43,7 +43,7 @@
           		document.write('<td><img src="/kra/agent/graphics/lgLeftTab.gif" width="13" height="21"><\/td>');
           		document.write('<td bgcolor="#cccccc" nowrap>');
 		} else {
-          		document.write('<td><img src="/kra/agent/graphics/dgLeftTab.gif" width="13" height="21"><\/td>');
+          		document.write('<td><img src="/pki/images/dgLeftTab.gif" width="13" height="21"><\/td>');
           		document.write('<td bgcolor="#999999" nowrap>');
 		}
 		document.write('<font size="-1" face="PrimaSans BT, Verdana, sans-serif">');
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html b/dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html
index f120c7c38cdf5eae7ab02e7a8e4932ee3a3d8524..42939e412eb5c31b23a3f57db81974c18a49622e 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html
@@ -26,11 +26,11 @@
       <table border="0" cellspacing="0" cellpadding="0">
         <tr> 
           <td><img src="/pki/images/spacer.gif" width="12" height="21"></td>
-          <td><img src="/graphics/dgLeftTab.gif" width="13" height="21"></td>
+          <td><img src="/pki/images/dgLeftTab.gif" width="13" height="21"></td>
           <td bgcolor="#999999" nowrap><font size="-1" face="PrimaSans BT, Verdana, sans-serif"><a href="../kra/index.html" target="_top">Certificate 
             Service</a><b></b></font></td>
           <td><img src="/graphics/dgRightTab.gif" width="16" height="21"></td>
-          <td><img src="/graphics/dgLeftTab.gif" width="13" height="21"></td>
+          <td><img src="/pki/images/dgLeftTab.gif" width="13" height="21"></td>
           <td bgcolor="#999999" nowrap><font size="-1" face="PrimaSans BT, Verdana, sans-serif"><a href="../kra/index.html" target="_top">Registration 
             Service </a></font></td>
           <td><img src="/graphics/dgRightTab.gif" width="16" height="21"></td>
diff --git a/dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template b/dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template
index e3ac04450fcb706c6a14eac71978dd043d4693f1..9dfdcfdaa2adaaf093877aaa3a4d46455815995b 100644
--- a/dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template
+++ b/dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template
@@ -43,7 +43,7 @@
           		document.write('<td><img src="/ocsp/agent/graphics/lgLeftTab.gif" width="13" height="21"><\/td>');
           		document.write('<td bgcolor="#cccccc" nowrap>');
 		} else {
-          		document.write('<td><img src="/ocsp/agent/graphics/dgLeftTab.gif" width="13" height="21"><\/td>');
+          		document.write('<td><img src="/pki/images/dgLeftTab.gif" width="13" height="21"><\/td>');
           		document.write('<td bgcolor="#999999" nowrap>');
 		}
 		document.write('<font size="-1" face="PrimaSans BT, Verdana, sans-serif">');
diff --git a/dogtag/tks-ui/shared/webapps/tks/agent/header.template b/dogtag/tks-ui/shared/webapps/tks/agent/header.template
index ea7526f566b95d54e4645f61992c3a68a43452a8..7fd0e67c3ca353ce098cbdf5248c6cc3a4740ccc 100644
--- a/dogtag/tks-ui/shared/webapps/tks/agent/header.template
+++ b/dogtag/tks-ui/shared/webapps/tks/agent/header.template
@@ -43,7 +43,7 @@
           		document.write('<td><img src="/tks/agent/graphics/lgLeftTab.gif" width="13" height="21"><\/td>');
           		document.write('<td bgcolor="#cccccc" nowrap>');
 		} else {
-          		document.write('<td><img src="/tks/agent/graphics/dgLeftTab.gif" width="13" height="21"><\/td>');
+          		document.write('<td><img src="/pki/images/dgLeftTab.gif" width="13" height="21"><\/td>');
           		document.write('<td bgcolor="#999999" nowrap>');
 		}
 		document.write('<font size="-1" face="PrimaSans BT, Verdana, sans-serif">');
-- 
1.7.12.1