From c75e1c96bddd79d52803ab1163aef04386232f99 Mon Sep 17 00:00:00 2001
From: Endi Sukma Dewata <edewata@redhat.com>
Date: Fri, 2 Nov 2012 13:08:27 -0400
Subject: [PATCH] Updated dgRightTab.gif paths.

---
 dogtag/ca-ui/shared/webapps/ca/agent/header.template     | 2 +-
 dogtag/kra-ui/shared/webapps/kra/agent/header.template   | 2 +-
 dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html      | 4 ++--
 dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template | 2 +-
 dogtag/tks-ui/shared/webapps/tks/agent/header.template   | 2 +-
 5 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/dogtag/ca-ui/shared/webapps/ca/agent/header.template b/dogtag/ca-ui/shared/webapps/ca/agent/header.template
index a9a844821f0c0dd54636571c882fb962c085c648..54ba333797911e963ba46bf3a4e68513f723b384 100644
--- a/dogtag/ca-ui/shared/webapps/ca/agent/header.template
+++ b/dogtag/ca-ui/shared/webapps/ca/agent/header.template
@@ -68,7 +68,7 @@
 		if (result.recordSet[i].id == header.selected) {
           		document.write('<td><img src="/ca/agent/graphics/lgRightTab.gif" width="16" height="21" alt=""><\/td>');
 		} else {
-          		document.write('<td><img src="/ca/agent/graphics/dgRightTab.gif" width="16" height="21" alt=""><\/td>');
+          		document.write('<td><img src="/pki/images/dgRightTab.gif" width="16" height="21" alt=""><\/td>');
 		}
 	}
 </SCRIPT>
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/header.template b/dogtag/kra-ui/shared/webapps/kra/agent/header.template
index 4c71d8d4ebaf5e3979214f892c946f74ea1cf05b..4950966e5e6cabc2a68faf2a4a25a44b0edee9f9 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/header.template
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/header.template
@@ -68,7 +68,7 @@
 		if (result.recordSet[i].id == header.selected) {
           		document.write('<td><img src="/kra/agent/graphics/lgRightTab.gif" width="16" height="21" alt=""><\/td>');
 		} else {
-          		document.write('<td><img src="/kra/agent/graphics/dgRightTab.gif" width="16" height="21" alt=""><\/td>');
+          		document.write('<td><img src="/pki/images/dgRightTab.gif" width="16" height="21" alt=""><\/td>');
 		}
 	}
 </SCRIPT>
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html b/dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html
index 42939e412eb5c31b23a3f57db81974c18a49622e..5deb9d9bdb32362eb5207d188d8c1e525c233d9b 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html
@@ -29,11 +29,11 @@
           <td><img src="/pki/images/dgLeftTab.gif" width="13" height="21"></td>
           <td bgcolor="#999999" nowrap><font size="-1" face="PrimaSans BT, Verdana, sans-serif"><a href="../kra/index.html" target="_top">Certificate 
             Service</a><b></b></font></td>
-          <td><img src="/graphics/dgRightTab.gif" width="16" height="21"></td>
+          <td><img src="/pki/images/dgRightTab.gif" width="16" height="21"></td>
           <td><img src="/pki/images/dgLeftTab.gif" width="13" height="21"></td>
           <td bgcolor="#999999" nowrap><font size="-1" face="PrimaSans BT, Verdana, sans-serif"><a href="../kra/index.html" target="_top">Registration 
             Service </a></font></td>
-          <td><img src="/graphics/dgRightTab.gif" width="16" height="21"></td>
+          <td><img src="/pki/images/dgRightTab.gif" width="16" height="21"></td>
           <td><img src="/graphics/lgLeftTab.gif" width="13" height="21"></td>
           <td bgcolor="#cccccc" nowrap><font size="-1" face="PrimaSans BT, Verdana, sans-serif"><b>Key 
             Service </b></font></td>
diff --git a/dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template b/dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template
index 9dfdcfdaa2adaaf093877aaa3a4d46455815995b..ac113ecbda36b0694bcba5377f0224853126c6b7 100644
--- a/dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template
+++ b/dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template
@@ -68,7 +68,7 @@
 		if (result.recordSet[i].id == header.selected) {
           		document.write('<td><img src="/ocsp/agent/graphics/lgRightTab.gif" width="16" height="21" alt=""><\/td>');
 		} else {
-          		document.write('<td><img src="/ocsp/agent/graphics/dgRightTab.gif" width="16" height="21" alt=""><\/td>');
+          		document.write('<td><img src="/pki/images/dgRightTab.gif" width="16" height="21" alt=""><\/td>');
 		}
 	}
 </SCRIPT>
diff --git a/dogtag/tks-ui/shared/webapps/tks/agent/header.template b/dogtag/tks-ui/shared/webapps/tks/agent/header.template
index 7fd0e67c3ca353ce098cbdf5248c6cc3a4740ccc..de1f746a88c93a9bbf50b37e58d2dbe6fbea367a 100644
--- a/dogtag/tks-ui/shared/webapps/tks/agent/header.template
+++ b/dogtag/tks-ui/shared/webapps/tks/agent/header.template
@@ -68,7 +68,7 @@
 		if (result.recordSet[i].id == header.selected) {
           		document.write('<td><img src="/tks/agent/graphics/lgRightTab.gif" width="16" height="21" alt=""><\/td>');
 		} else {
-          		document.write('<td><img src="/tks/agent/graphics/dgRightTab.gif" width="16" height="21" alt=""><\/td>');
+          		document.write('<td><img src="/pki/images/dgRightTab.gif" width="16" height="21" alt=""><\/td>');
 		}
 	}
 </SCRIPT>
-- 
1.7.12.1