From 011600889732575250e98984c1582ce9add135ab Mon Sep 17 00:00:00 2001
From: Endi Sukma Dewata <edewata@redhat.com>
Date: Fri, 2 Nov 2012 13:14:40 -0400
Subject: [PATCH] Updated goto-tall.gif paths.

---
 dogtag/ca-ui/shared/webapps/ca/agent/index.template     | 4 ++--
 dogtag/ca-ui/shared/webapps/ca/agent/ports.template     | 2 +-
 dogtag/kra-ui/shared/webapps/kra/agent/index.template   | 4 ++--
 dogtag/ocsp-ui/shared/webapps/ocsp/agent/index.template | 4 ++--
 dogtag/ocsp-ui/shared/webapps/ocsp/agent/ports.template | 2 +-
 dogtag/tks-ui/shared/webapps/tks/agent/index.template   | 4 ++--
 dogtag/tks-ui/shared/webapps/tks/agent/ports.template   | 2 +-
 7 files changed, 11 insertions(+), 11 deletions(-)

diff --git a/dogtag/ca-ui/shared/webapps/ca/agent/index.template b/dogtag/ca-ui/shared/webapps/ca/agent/index.template
index b4696a859b8e8315e041159397b00ba6ff21157c..4f45c73906158aae4c4f098e9700dd8b37864dba 100644
--- a/dogtag/ca-ui/shared/webapps/ca/agent/index.template
+++ b/dogtag/ca-ui/shared/webapps/ca/agent/index.template
@@ -84,7 +84,7 @@ if (result.header.errorDetails != null) {
 	for (var i = 0; i < result.recordSet.length; ++i) {
         	document.write('<tr valign="TOP">');
           	document.write('<td>');
-		document.write('<img src="/graphics/goto-tall.gif" width="10" height="15">&nbsp;</td>');
+		document.write('<img src="/pki/images/goto-tall.gif" width="10" height="15">&nbsp;</td>');
           	document.write('<td>');
 		document.write('<font face="PrimaSans BT, Verdana, sans-serif">');
 		document.write('<a href="');
@@ -120,7 +120,7 @@ document.write('</tr>');
 if (displayServices== 'true')
 {	
 	document.write('<tr valign="TOP">');
-	document.write('<TD><IMG src="/graphics/goto-tall.gif" width="10" height="15"></TD>');
+	document.write('<TD><IMG src="/pki/images/goto-tall.gif" width="10" height="15"></TD>');
 	document.write('<TD><FONT face="PrimaSans BT, Verdana, sans-serif">');
 	document.write('<A href="ports">Services Summary</A></FONT></TD>');
 	document.write('</tr>');
diff --git a/dogtag/ca-ui/shared/webapps/ca/agent/ports.template b/dogtag/ca-ui/shared/webapps/ca/agent/ports.template
index cf5081b301cba8d1108f9c711976054ce6c8bcf7..bfec339817e86fd55e29c1c50565e889a8b3925a 100644
--- a/dogtag/ca-ui/shared/webapps/ca/agent/ports.template
+++ b/dogtag/ca-ui/shared/webapps/ca/agent/ports.template
@@ -85,7 +85,7 @@ if (result.header.errorDetails != null) {
                   continue;
         	document.write('<tr valign="TOP">');
           	document.write('<td>');
-		document.write('<img src="/ca/agent/graphics/goto-tall.gif" width="10" height="15">&nbsp;</td>');
+		document.write('<img src="/pki/images/goto-tall.gif" width="10" height="15">&nbsp;</td>');
           	document.write('<td>');
 		document.write('<font face="PrimaSans BT, Verdana, sans-serif">');
 		document.write('<a href="');
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/index.template b/dogtag/kra-ui/shared/webapps/kra/agent/index.template
index ecf61b863de3206844ed83fb12c025f95277b6f3..c3200bb9c24a801fddcc8401f5ef2ff77d447f3b 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/index.template
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/index.template
@@ -84,7 +84,7 @@ if (result.header.errorDetails != null) {
 	for (var i = 0; i < result.recordSet.length; ++i) {
         	document.write('<tr valign="TOP">');
           	document.write('<td>');
-		document.write('<img src="/graphics/goto-tall.gif" width="10" height="15">&nbsp;</td>');
+		document.write('<img src="/pki/images/goto-tall.gif" width="10" height="15">&nbsp;</td>');
           	document.write('<td>');
 		document.write('<font face="PrimaSans BT, Verdana, sans-serif">');
 		document.write('<a href="');
@@ -120,7 +120,7 @@ document.write('</tr>');
 if (displayServices== 'true')
 {	
 	document.write('<tr valign="TOP">');
-	document.write('<TD><IMG src="/graphics/goto-tall.gif" width="10" height="15"></TD>');
+	document.write('<TD><IMG src="/pki/images/goto-tall.gif" width="10" height="15"></TD>');
 	document.write('<TD><FONT face="PrimaSans BT, Verdana, sans-serif">');
 	document.write('<A href="ports">Services Summary</A></FONT></TD>');
 	document.write('</tr>');
diff --git a/dogtag/ocsp-ui/shared/webapps/ocsp/agent/index.template b/dogtag/ocsp-ui/shared/webapps/ocsp/agent/index.template
index d21a30a51ae3d1d4275cb1fdd25099c5cb0f64b5..be2c39d9e3c8c6892b685a9dcaa063e13fe1931f 100644
--- a/dogtag/ocsp-ui/shared/webapps/ocsp/agent/index.template
+++ b/dogtag/ocsp-ui/shared/webapps/ocsp/agent/index.template
@@ -84,7 +84,7 @@ if (result.header.errorDetails != null) {
 	for (var i = 0; i < result.recordSet.length; ++i) {
         	document.write('<tr valign="TOP">');
           	document.write('<td>');
-		document.write('<img src="/graphics/goto-tall.gif" width="10" height="15">&nbsp;</td>');
+		document.write('<img src="/pki/images/goto-tall.gif" width="10" height="15">&nbsp;</td>');
           	document.write('<td>');
 		document.write('<font face="PrimaSans BT, Verdana, sans-serif">');
 		document.write('<a href="');
@@ -120,7 +120,7 @@ document.write('</tr>');
 if (displayServices== 'true')
 {	
 	document.write('<tr valign="TOP">');
-	document.write('<TD><IMG src="/graphics/goto-tall.gif" width="10" height="15"></TD>');
+	document.write('<TD><IMG src="/pki/images/goto-tall.gif" width="10" height="15"></TD>');
 	document.write('<TD><FONT face="PrimaSans BT, Verdana, sans-serif">');
 	document.write('<A href="ports">Services Summary</A></FONT></TD>');
 	document.write('</tr>');
diff --git a/dogtag/ocsp-ui/shared/webapps/ocsp/agent/ports.template b/dogtag/ocsp-ui/shared/webapps/ocsp/agent/ports.template
index 84ebd9c3fe6f09ca692a7714e78663a937a8f6fa..8413ada1baff28accd83491dd50aa86327ba7040 100644
--- a/dogtag/ocsp-ui/shared/webapps/ocsp/agent/ports.template
+++ b/dogtag/ocsp-ui/shared/webapps/ocsp/agent/ports.template
@@ -85,7 +85,7 @@ if (result.header.errorDetails != null) {
                   continue;
         	document.write('<tr valign="TOP">');
           	document.write('<td>');
-		document.write('<img src="/ocsp/agent/graphics/goto-tall.gif" width="10" height="15">&nbsp;</td>');
+		document.write('<img src="/pki/images/goto-tall.gif" width="10" height="15">&nbsp;</td>');
           	document.write('<td>');
 		document.write('<font face="PrimaSans BT, Verdana, sans-serif">');
 		document.write('<a href="');
diff --git a/dogtag/tks-ui/shared/webapps/tks/agent/index.template b/dogtag/tks-ui/shared/webapps/tks/agent/index.template
index c5a09dcb431b3673c2dff0f178179f96633b01b8..534ad257b173225b8fddc432f9b5ab0fa0c240e7 100644
--- a/dogtag/tks-ui/shared/webapps/tks/agent/index.template
+++ b/dogtag/tks-ui/shared/webapps/tks/agent/index.template
@@ -84,7 +84,7 @@ if (result.header.errorDetails != null) {
 	for (var i = 0; i < result.recordSet.length; ++i) {
         	document.write('<tr valign="TOP">');
           	document.write('<td>');
-		document.write('<img src="/graphics/goto-tall.gif" width="10" height="15">&nbsp;</td>');
+		document.write('<img src="/pki/images/goto-tall.gif" width="10" height="15">&nbsp;</td>');
           	document.write('<td>');
 		document.write('<font face="PrimaSans BT, Verdana, sans-serif">');
 		document.write('<a href="');
@@ -120,7 +120,7 @@ document.write('</tr>');
 if (displayServices== 'true')
 {	
 	document.write('<tr valign="TOP">');
-	document.write('<TD><IMG src="/graphics/goto-tall.gif" width="10" height="15"></TD>');
+	document.write('<TD><IMG src="/pki/images/goto-tall.gif" width="10" height="15"></TD>');
 	document.write('<TD><FONT face="PrimaSans BT, Verdana, sans-serif">');
 	document.write('<A href="ports">Services Summary</A></FONT></TD>');
 	document.write('</tr>');
diff --git a/dogtag/tks-ui/shared/webapps/tks/agent/ports.template b/dogtag/tks-ui/shared/webapps/tks/agent/ports.template
index 076372c85a2b26ba6fd802ddcd01b4d541835cb6..4d33dd3f02180dcc91a8d40be78b0a5ffc69e40f 100644
--- a/dogtag/tks-ui/shared/webapps/tks/agent/ports.template
+++ b/dogtag/tks-ui/shared/webapps/tks/agent/ports.template
@@ -85,7 +85,7 @@ if (result.header.errorDetails != null) {
                   continue;
         	document.write('<tr valign="TOP">');
           	document.write('<td>');
-		document.write('<img src="/tks/agent/graphics/goto-tall.gif" width="10" height="15">&nbsp;</td>');
+		document.write('<img src="/pki/images/goto-tall.gif" width="10" height="15">&nbsp;</td>');
           	document.write('<td>');
 		document.write('<font face="PrimaSans BT, Verdana, sans-serif">');
 		document.write('<a href="');
-- 
1.7.12.1