From 82db3b3b7ff1ee314e7dbe3e189521d15e2f08b1 Mon Sep 17 00:00:00 2001
From: Endi Sukma Dewata <edewata@redhat.com>
Date: Fri, 2 Nov 2012 13:17:39 -0400
Subject: [PATCH] Updated lgLeftTab.gif paths.

---
 dogtag/ca-ui/shared/webapps/ca/agent/header.template              | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/index.html                   | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/policyEnrollment/index.html  | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/profileEnrollment/index.html | 2 +-
 dogtag/kra-ui/shared/webapps/kra/agent/header.template            | 2 +-
 dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html               | 2 +-
 dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template          | 2 +-
 dogtag/tks-ui/shared/webapps/tks/agent/header.template            | 2 +-
 8 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/dogtag/ca-ui/shared/webapps/ca/agent/header.template b/dogtag/ca-ui/shared/webapps/ca/agent/header.template
index 54ba333797911e963ba46bf3a4e68513f723b384..bbfb2d5d3a424a8daafb0208a4978b5439b1adb1 100644
--- a/dogtag/ca-ui/shared/webapps/ca/agent/header.template
+++ b/dogtag/ca-ui/shared/webapps/ca/agent/header.template
@@ -40,7 +40,7 @@
 <SCRIPT type="text/javascript">
 	for (var i = 0; i < result.recordSet.length; ++i) {
 		if (result.recordSet[i].id == header.selected) {
-          		document.write('<td><img src="/ca/agent/graphics/lgLeftTab.gif" width="13" height="21"><\/td>');
+          		document.write('<td><img src="/pki/images/lgLeftTab.gif" width="13" height="21"><\/td>');
           		document.write('<td bgcolor="#cccccc" nowrap>');
 		} else {
           		document.write('<td><img src="/pki/images/dgLeftTab.gif" width="13" height="21"><\/td>');
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/index.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/index.html
index 294e5380a17c5a0f38c708a1d59c4f2c762ff93f..b3f4b0c480f904331d8df83a73ef6947aeeb06d2 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/index.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/index.html
@@ -330,7 +330,7 @@ function loadTabs()
 		var index = top.tabsSelectedIndex;
 		for (var j=0; j < top.tabsCount; j++) {
 			if (j == index) {
-				writeln('<td><img src="/ca/ee/graphics/lgLeftTab.gif" width="13" height="21"></td>');
+				writeln('<td><img src="/pki/images/lgLeftTab.gif" width="13" height="21"></td>');
 				writeln('<td bgcolor="#cccccc" nowrap>'); 
 				writeln('<font size="-1" face="PrimaSans BT, Verdana, sans-serif"><b>'+
                     top.tabs[j].blackname+
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/policyEnrollment/index.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/policyEnrollment/index.html
index b419151fb8046cb95a9fc856e9186560bd8f0f76..8da596e03313d2188c11def44fc3dd15ceb5ebd7 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/policyEnrollment/index.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/policyEnrollment/index.html
@@ -498,7 +498,7 @@ function loadTabs()
 		var index = top.tabsSelectedIndex;
 		for (var j=0; j < top.tabsCount; j++) {
 			if (j == index) {
-				writeln('<td><img src="/graphics/lgLeftTab.gif" width="13" height="21"></td>');
+				writeln('<td><img src="/pki/images/lgLeftTab.gif" width="13" height="21"></td>');
 				writeln('<td bgcolor="#cccccc" nowrap>'); 
 				writeln('<font size="-1" face="PrimaSans BT, Verdana, sans-serif"><b>'+
                     top.tabs[j].blackname+
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/profileEnrollment/index.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/profileEnrollment/index.html
index 9f83ed729186750dd94aa2ff5322ddaba95e9548..3c9bfa7ffd51c0a67e72c486d733acd1946ac3a6 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/profileEnrollment/index.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/profileEnrollment/index.html
@@ -335,7 +335,7 @@ function loadTabs()
 		var index = top.tabsSelectedIndex;
 		for (var j=0; j < top.tabsCount; j++) {
 			if (j == index) {
-				writeln('<td><img src="/graphics/lgLeftTab.gif" width="13" height="21"></td>');
+				writeln('<td><img src="/pki/images/lgLeftTab.gif" width="13" height="21"></td>');
 				writeln('<td bgcolor="#cccccc" nowrap>'); 
 				writeln('<font size="-1" face="PrimaSans BT, Verdana, sans-serif"><b>'+
                     top.tabs[j].blackname+
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/header.template b/dogtag/kra-ui/shared/webapps/kra/agent/header.template
index 4950966e5e6cabc2a68faf2a4a25a44b0edee9f9..bc5689f12e7daba1a84c12f457d4950621414006 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/header.template
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/header.template
@@ -40,7 +40,7 @@
 <SCRIPT type="text/javascript">
 	for (var i = 0; i < result.recordSet.length; ++i) {
 		if (result.recordSet[i].id == header.selected) {
-          		document.write('<td><img src="/kra/agent/graphics/lgLeftTab.gif" width="13" height="21"><\/td>');
+          		document.write('<td><img src="/pki/images/lgLeftTab.gif" width="13" height="21"><\/td>');
           		document.write('<td bgcolor="#cccccc" nowrap>');
 		} else {
           		document.write('<td><img src="/pki/images/dgLeftTab.gif" width="13" height="21"><\/td>');
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html b/dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html
index 5deb9d9bdb32362eb5207d188d8c1e525c233d9b..6c8f323cd682c68eba2545fb8c9f3a72c30f3132 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html
@@ -34,7 +34,7 @@
           <td bgcolor="#999999" nowrap><font size="-1" face="PrimaSans BT, Verdana, sans-serif"><a href="../kra/index.html" target="_top">Registration 
             Service </a></font></td>
           <td><img src="/pki/images/dgRightTab.gif" width="16" height="21"></td>
-          <td><img src="/graphics/lgLeftTab.gif" width="13" height="21"></td>
+          <td><img src="/pki/images/lgLeftTab.gif" width="13" height="21"></td>
           <td bgcolor="#cccccc" nowrap><font size="-1" face="PrimaSans BT, Verdana, sans-serif"><b>Key 
             Service </b></font></td>
           <td><img src="/graphics/lgRightTab.gif" width="16" height="21"></td>
diff --git a/dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template b/dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template
index ac113ecbda36b0694bcba5377f0224853126c6b7..ae9e282ed7eda5e38f77e8cf9d03e71693595313 100644
--- a/dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template
+++ b/dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template
@@ -40,7 +40,7 @@
 <SCRIPT type="text/javascript">
 	for (var i = 0; i < result.recordSet.length; ++i) {
 		if (result.recordSet[i].id == header.selected) {
-          		document.write('<td><img src="/ocsp/agent/graphics/lgLeftTab.gif" width="13" height="21"><\/td>');
+          		document.write('<td><img src="/pki/images/lgLeftTab.gif" width="13" height="21"><\/td>');
           		document.write('<td bgcolor="#cccccc" nowrap>');
 		} else {
           		document.write('<td><img src="/pki/images/dgLeftTab.gif" width="13" height="21"><\/td>');
diff --git a/dogtag/tks-ui/shared/webapps/tks/agent/header.template b/dogtag/tks-ui/shared/webapps/tks/agent/header.template
index de1f746a88c93a9bbf50b37e58d2dbe6fbea367a..4e228ae48039fb81a943e53fabb80e42fea42ce8 100644
--- a/dogtag/tks-ui/shared/webapps/tks/agent/header.template
+++ b/dogtag/tks-ui/shared/webapps/tks/agent/header.template
@@ -40,7 +40,7 @@
 <SCRIPT type="text/javascript">
 	for (var i = 0; i < result.recordSet.length; ++i) {
 		if (result.recordSet[i].id == header.selected) {
-          		document.write('<td><img src="/tks/agent/graphics/lgLeftTab.gif" width="13" height="21"><\/td>');
+          		document.write('<td><img src="/pki/images/lgLeftTab.gif" width="13" height="21"><\/td>');
           		document.write('<td bgcolor="#cccccc" nowrap>');
 		} else {
           		document.write('<td><img src="/pki/images/dgLeftTab.gif" width="13" height="21"><\/td>');
-- 
1.7.12.1