From 9d5b527021a9001958e069e7d85594f19850478d Mon Sep 17 00:00:00 2001
From: Endi Sukma Dewata <edewata@redhat.com>
Date: Fri, 2 Nov 2012 13:20:19 -0400
Subject: [PATCH] Updated lgRightTab.gif paths.

---
 dogtag/ca-ui/shared/webapps/ca/agent/header.template     | 2 +-
 dogtag/kra-ui/shared/webapps/kra/agent/header.template   | 2 +-
 dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html      | 2 +-
 dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template | 2 +-
 dogtag/tks-ui/shared/webapps/tks/agent/header.template   | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/dogtag/ca-ui/shared/webapps/ca/agent/header.template b/dogtag/ca-ui/shared/webapps/ca/agent/header.template
index bbfb2d5d3a424a8daafb0208a4978b5439b1adb1..d1221b14ba59565c0bcdf59901e87d94fd325459 100644
--- a/dogtag/ca-ui/shared/webapps/ca/agent/header.template
+++ b/dogtag/ca-ui/shared/webapps/ca/agent/header.template
@@ -66,7 +66,7 @@
 		}
 		document.write('<\/font><\/td>');
 		if (result.recordSet[i].id == header.selected) {
-          		document.write('<td><img src="/ca/agent/graphics/lgRightTab.gif" width="16" height="21" alt=""><\/td>');
+          		document.write('<td><img src="/pki/images/lgRightTab.gif" width="16" height="21" alt=""><\/td>');
 		} else {
           		document.write('<td><img src="/pki/images/dgRightTab.gif" width="16" height="21" alt=""><\/td>');
 		}
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/header.template b/dogtag/kra-ui/shared/webapps/kra/agent/header.template
index bc5689f12e7daba1a84c12f457d4950621414006..d1221b14ba59565c0bcdf59901e87d94fd325459 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/header.template
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/header.template
@@ -66,7 +66,7 @@
 		}
 		document.write('<\/font><\/td>');
 		if (result.recordSet[i].id == header.selected) {
-          		document.write('<td><img src="/kra/agent/graphics/lgRightTab.gif" width="16" height="21" alt=""><\/td>');
+          		document.write('<td><img src="/pki/images/lgRightTab.gif" width="16" height="21" alt=""><\/td>');
 		} else {
           		document.write('<td><img src="/pki/images/dgRightTab.gif" width="16" height="21" alt=""><\/td>');
 		}
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html b/dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html
index 6c8f323cd682c68eba2545fb8c9f3a72c30f3132..f90ad1a3f9a09e344184fd3d405ead17ac70ecbf 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/kra/top.html
@@ -37,7 +37,7 @@
           <td><img src="/pki/images/lgLeftTab.gif" width="13" height="21"></td>
           <td bgcolor="#cccccc" nowrap><font size="-1" face="PrimaSans BT, Verdana, sans-serif"><b>Key 
             Service </b></font></td>
-          <td><img src="/graphics/lgRightTab.gif" width="16" height="21"></td>
+          <td><img src="/pki/images/lgRightTab.gif" width="16" height="21"></td>
         </tr>
       </table>
     </td>
diff --git a/dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template b/dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template
index ae9e282ed7eda5e38f77e8cf9d03e71693595313..d1221b14ba59565c0bcdf59901e87d94fd325459 100644
--- a/dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template
+++ b/dogtag/ocsp-ui/shared/webapps/ocsp/agent/header.template
@@ -66,7 +66,7 @@
 		}
 		document.write('<\/font><\/td>');
 		if (result.recordSet[i].id == header.selected) {
-          		document.write('<td><img src="/ocsp/agent/graphics/lgRightTab.gif" width="16" height="21" alt=""><\/td>');
+          		document.write('<td><img src="/pki/images/lgRightTab.gif" width="16" height="21" alt=""><\/td>');
 		} else {
           		document.write('<td><img src="/pki/images/dgRightTab.gif" width="16" height="21" alt=""><\/td>');
 		}
diff --git a/dogtag/tks-ui/shared/webapps/tks/agent/header.template b/dogtag/tks-ui/shared/webapps/tks/agent/header.template
index 4e228ae48039fb81a943e53fabb80e42fea42ce8..d1221b14ba59565c0bcdf59901e87d94fd325459 100644
--- a/dogtag/tks-ui/shared/webapps/tks/agent/header.template
+++ b/dogtag/tks-ui/shared/webapps/tks/agent/header.template
@@ -66,7 +66,7 @@
 		}
 		document.write('<\/font><\/td>');
 		if (result.recordSet[i].id == header.selected) {
-          		document.write('<td><img src="/tks/agent/graphics/lgRightTab.gif" width="16" height="21" alt=""><\/td>');
+          		document.write('<td><img src="/pki/images/lgRightTab.gif" width="16" height="21" alt=""><\/td>');
 		} else {
           		document.write('<td><img src="/pki/images/dgRightTab.gif" width="16" height="21" alt=""><\/td>');
 		}
-- 
1.7.12.1